Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155057 - Installer fails on systems with autofs /home partition
Summary: Installer fails on systems with autofs /home partition
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer
Version: 370
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McCune
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 21:13 UTC by Taco Scargo
Modified: 2009-03-24 17:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-24 17:56:12 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Taco Scargo 2005-04-15 21:13:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; chrome://navigator/locale/navigator.properties; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
While trying to install Satellite 3.7 on a system with autofs /home enabled found out that the generation of the nocops and nocpulse users failed (as it could not create the home directories for those users in /home). Subsequently the installation of the files for /home/nocpulse failed as the directory did not exist.

Customer had to kill autofs for /home and remove all succesfully installed rpms manually and then re-install satellite. Now it worked fine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install AS server with autofs on /home
2. Try to install satellite

  

Actual Results:  Fails while trying to install files in /home/nocpulse

Expected Results:  I would expect the home directory for these users to be generated in /var/satellite for example.

Additional info:

It is generally a bad idea to generate directories and put programs in /home.

Comment 1 Nick Hansen 2005-07-05 19:31:13 UTC
This problem is large and ugly, but for the rhn400 release we're going to have
to simply make a note in the RHN Satellite guide to make users aware of this
potential problem. I'm going to clone this bug as a DOCS bug for rhn400, and
we'll see what we can do about fixing this problem in subsequent releases.

Comment 2 Robin Norwood 2006-10-17 16:33:29 UTC
mass reassign to mmccune


Note You need to log in before you can comment on or make changes to this bug.